> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Copies the contents of the auto-save buffer into the live Page

> Updates the page with the contents of the UI save buffer. This works effectively the same as clicking the save button in the UI.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages/{page_id}/push-buffer-live
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/push-buffer-live:
    post:
      tags:
        - Pages
      summary: Copies the contents of the auto-save buffer into the live Page
      description: >-
        Updates the page with the contents of the UI save buffer. This works
        effectively the same as clicking the save button in the UI.
      operationId: pushPageBufferLive
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully pushed buffer live
          content:
            application/json:
              schema:
                type: object
              examples:
                buffer_pushed_live:
                  summary: Buffer successfully pushed to live
                  value:
                    id: 352531415
                    name: Contact Us
                    slug: my-api-demo-page-slug
                    html_title: The API Test Page
                    published_url: http://62515.hs-sites.com/my-api-demo-page-slug
                    updated: 1441239877000

````